package com.mortals.xhx.module.ent.model;

import java.util.List;
import com.mortals.xhx.module.ent.model.EntLifeMatterSubEntity;
/**
 * 企业周期事项子查询对象
 *
 * @author zxfei
 * @date 2025-03-17
 */
public class EntLifeMatterSubQuery extends EntLifeMatterSubEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 主事项id */
    private Long masterRecordIdStart;

    /** 结束 主事项id */
    private Long masterRecordIdEnd;

    /** 增加 主事项id */
    private Long masterRecordIdIncrement;

    /** 主事项id列表 */
    private List <Long> masterRecordIdList;

    /** 主事项id排除列表 */
    private List <Long> masterRecordIdNotList;

    /** 开始 事项id */
    private Long matterIdStart;

    /** 结束 事项id */
    private Long matterIdEnd;

    /** 增加 事项id */
    private Long matterIdIncrement;

    /** 事项id列表 */
    private List <Long> matterIdList;

    /** 事项id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 事项编码 */
    private List<String> matterCodeList;

    /** 事项编码排除列表 */
    private List <String> matterCodeNotList;
    /** 区域编码 */
    private List<String> areaCodeList;

    /** 区域编码排除列表 */
    private List <String> areaCodeNotList;
    /** 区域名称 */
    private List<String> areaNameList;

    /** 区域名称排除列表 */
    private List <String> areaNameNotList;
    /** 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区) */
    private Integer areaLevelStart;

    /** 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区) */
    private Integer areaLevelEnd;

    /** 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区) */
    private Integer areaLevelIncrement;

    /** 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)列表 */
    private List <Integer> areaLevelList;

    /** 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)排除列表 */
    private List <Integer> areaLevelNotList;

    /** 开始 办理单位ID */
    private Long deptIdStart;

    /** 结束 办理单位ID */
    private Long deptIdEnd;

    /** 增加 办理单位ID */
    private Long deptIdIncrement;

    /** 办理单位ID列表 */
    private List <Long> deptIdList;

    /** 办理单位ID排除列表 */
    private List <Long> deptIdNotList;

    /** 办理单位名称 */
    private List<String> deptNameList;

    /** 办理单位名称排除列表 */
    private List <String> deptNameNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 排序字段 */
    private Integer sortStart;

    /** 结束 排序字段 */
    private Integer sortEnd;

    /** 增加 排序字段 */
    private Integer sortIncrement;

    /** 排序字段列表 */
    private List <Integer> sortList;

    /** 排序字段排除列表 */
    private List <Integer> sortNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<EntLifeMatterSubQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<EntLifeMatterSubQuery> andConditionList;

    public EntLifeMatterSubQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 主事项id
     * @return masterRecordIdStart
     */
    public Long getMasterRecordIdStart(){
        return this.masterRecordIdStart;
    }

    /**
     * 设置 开始 主事项id
     * @param masterRecordIdStart
     */
    public void setMasterRecordIdStart(Long masterRecordIdStart){
        this.masterRecordIdStart = masterRecordIdStart;
    }

    /**
     * 获取 结束 主事项id
     * @return $masterRecordIdEnd
     */
    public Long getMasterRecordIdEnd(){
        return this.masterRecordIdEnd;
    }

    /**
     * 设置 结束 主事项id
     * @param masterRecordIdEnd
     */
    public void setMasterRecordIdEnd(Long masterRecordIdEnd){
        this.masterRecordIdEnd = masterRecordIdEnd;
    }

    /**
     * 获取 增加 主事项id
     * @return masterRecordIdIncrement
     */
    public Long getMasterRecordIdIncrement(){
        return this.masterRecordIdIncrement;
    }

    /**
     * 设置 增加 主事项id
     * @param masterRecordIdIncrement
     */
    public void setMasterRecordIdIncrement(Long masterRecordIdIncrement){
        this.masterRecordIdIncrement = masterRecordIdIncrement;
    }

    /**
     * 获取 主事项id
     * @return masterRecordIdList
     */
    public List<Long> getMasterRecordIdList(){
        return this.masterRecordIdList;
    }

    /**
     * 设置 主事项id
     * @param masterRecordIdList
     */
    public void setMasterRecordIdList(List<Long> masterRecordIdList){
        this.masterRecordIdList = masterRecordIdList;
    }

    /**
     * 获取 主事项id
     * @return masterRecordIdNotList
     */
    public List<Long> getMasterRecordIdNotList(){
        return this.masterRecordIdNotList;
    }

    /**
     * 设置 主事项id
     * @param masterRecordIdNotList
     */
    public void setMasterRecordIdNotList(List<Long> masterRecordIdNotList){
        this.masterRecordIdNotList = masterRecordIdNotList;
    }


    /**
     * 获取 开始 事项id
     * @return matterIdStart
     */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
     * 获取 结束 事项id
     * @return $matterIdEnd
     */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
     * 获取 增加 事项id
     * @return matterIdIncrement
     */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
     * 获取 事项id
     * @return matterIdList
     */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
     * 获取 事项id
     * @return matterIdNotList
     */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
     * 获取 事项名称
     * @return matterNameNotList
     */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
     * 设置 事项名称
     * @param matterNameNotList
     */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeList
     */
    public List<String> getMatterCodeList(){
        return this.matterCodeList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public void setMatterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
    }

    /**
     * 获取 事项编码
     * @return matterCodeNotList
     */
    public List<String> getMatterCodeNotList(){
        return this.matterCodeNotList;
    }

    /**
     * 设置 事项编码
     * @param matterCodeNotList
     */
    public void setMatterCodeNotList(List<String> matterCodeNotList){
        this.matterCodeNotList = matterCodeNotList;
    }

    /**
     * 获取 区域编码
     * @return areaCodeList
     */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
     * 设置 区域编码
     * @param areaCodeList
     */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }

    /**
     * 获取 区域编码
     * @return areaCodeNotList
     */
    public List<String> getAreaCodeNotList(){
        return this.areaCodeNotList;
    }

    /**
     * 设置 区域编码
     * @param areaCodeNotList
     */
    public void setAreaCodeNotList(List<String> areaCodeNotList){
        this.areaCodeNotList = areaCodeNotList;
    }

    /**
     * 获取 区域名称
     * @return areaNameList
     */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }

    /**
     * 获取 区域名称
     * @return areaNameNotList
     */
    public List<String> getAreaNameNotList(){
        return this.areaNameNotList;
    }

    /**
     * 设置 区域名称
     * @param areaNameNotList
     */
    public void setAreaNameNotList(List<String> areaNameNotList){
        this.areaNameNotList = areaNameNotList;
    }

    /**
     * 获取 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @return areaLevelStart
     */
    public Integer getAreaLevelStart(){
        return this.areaLevelStart;
    }

    /**
     * 设置 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelStart
     */
    public void setAreaLevelStart(Integer areaLevelStart){
        this.areaLevelStart = areaLevelStart;
    }

    /**
     * 获取 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @return $areaLevelEnd
     */
    public Integer getAreaLevelEnd(){
        return this.areaLevelEnd;
    }

    /**
     * 设置 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelEnd
     */
    public void setAreaLevelEnd(Integer areaLevelEnd){
        this.areaLevelEnd = areaLevelEnd;
    }

    /**
     * 获取 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @return areaLevelIncrement
     */
    public Integer getAreaLevelIncrement(){
        return this.areaLevelIncrement;
    }

    /**
     * 设置 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelIncrement
     */
    public void setAreaLevelIncrement(Integer areaLevelIncrement){
        this.areaLevelIncrement = areaLevelIncrement;
    }

    /**
     * 获取 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @return areaLevelList
     */
    public List<Integer> getAreaLevelList(){
        return this.areaLevelList;
    }

    /**
     * 设置 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelList
     */
    public void setAreaLevelList(List<Integer> areaLevelList){
        this.areaLevelList = areaLevelList;
    }

    /**
     * 获取 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @return areaLevelNotList
     */
    public List<Integer> getAreaLevelNotList(){
        return this.areaLevelNotList;
    }

    /**
     * 设置 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelNotList
     */
    public void setAreaLevelNotList(List<Integer> areaLevelNotList){
        this.areaLevelNotList = areaLevelNotList;
    }


    /**
     * 获取 开始 办理单位ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 办理单位ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 办理单位ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 办理单位ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 办理单位ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 办理单位ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 办理单位ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 办理单位ID
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 办理单位名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 办理单位名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 办理单位名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 办理单位名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 创建用户名称
     * @return createUserNameList
     */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
     * 获取 创建用户名称
     * @return createUserNameNotList
     */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameNotList
     */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 排序字段
     * @return sortStart
     */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
     * 设置 开始 排序字段
     * @param sortStart
     */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
     * 获取 结束 排序字段
     * @return $sortEnd
     */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
     * 设置 结束 排序字段
     * @param sortEnd
     */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
     * 获取 增加 排序字段
     * @return sortIncrement
     */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
     * 设置 增加 排序字段
     * @param sortIncrement
     */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
     * 获取 排序字段
     * @return sortList
     */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
     * 设置 排序字段
     * @param sortList
     */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
     * 获取 排序字段
     * @return sortNotList
     */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
     * 设置 排序字段
     * @param sortNotList
     */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public EntLifeMatterSubQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public EntLifeMatterSubQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public EntLifeMatterSubQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public EntLifeMatterSubQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public EntLifeMatterSubQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public EntLifeMatterSubQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  主事项id
     * @param masterRecordId
     */
    public EntLifeMatterSubQuery masterRecordId(Long masterRecordId){
        setMasterRecordId(masterRecordId);
        return this;
    }

    /**
     * 设置 开始 主事项id
     * @param masterRecordIdStart
     */
    public EntLifeMatterSubQuery masterRecordIdStart(Long masterRecordIdStart){
        this.masterRecordIdStart = masterRecordIdStart;
        return this;
    }

    /**
     * 设置 结束 主事项id
     * @param masterRecordIdEnd
     */
    public EntLifeMatterSubQuery masterRecordIdEnd(Long masterRecordIdEnd){
        this.masterRecordIdEnd = masterRecordIdEnd;
        return this;
    }

    /**
     * 设置 增加 主事项id
     * @param masterRecordIdIncrement
     */
    public EntLifeMatterSubQuery masterRecordIdIncrement(Long masterRecordIdIncrement){
        this.masterRecordIdIncrement = masterRecordIdIncrement;
        return this;
    }

    /**
     * 设置 主事项id
     * @param masterRecordIdList
     */
    public EntLifeMatterSubQuery masterRecordIdList(List<Long> masterRecordIdList){
        this.masterRecordIdList = masterRecordIdList;
        return this;
    }

    /**
     * 设置 主事项id
     * @param masterRecordIdNotList
     */
    public EntLifeMatterSubQuery masterRecordIdNotList(List<Long> masterRecordIdNotList){
        this.masterRecordIdNotList = masterRecordIdNotList;
        return this;
    }

    /**
     * 设置  事项id
     * @param matterId
     */
    public EntLifeMatterSubQuery matterId(Long matterId){
        setMatterId(matterId);
        return this;
    }

    /**
     * 设置 开始 事项id
     * @param matterIdStart
     */
    public EntLifeMatterSubQuery matterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
        return this;
    }

    /**
     * 设置 结束 事项id
     * @param matterIdEnd
     */
    public EntLifeMatterSubQuery matterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
        return this;
    }

    /**
     * 设置 增加 事项id
     * @param matterIdIncrement
     */
    public EntLifeMatterSubQuery matterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdList
     */
    public EntLifeMatterSubQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
        return this;
    }

    /**
     * 设置 事项id
     * @param matterIdNotList
     */
    public EntLifeMatterSubQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public EntLifeMatterSubQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public EntLifeMatterSubQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }


    /**
     * 设置 事项编码
     * @param matterCode
     */
    public EntLifeMatterSubQuery matterCode(String matterCode){
        setMatterCode(matterCode);
        return this;
    }

    /**
     * 设置 事项编码
     * @param matterCodeList
     */
    public EntLifeMatterSubQuery matterCodeList(List<String> matterCodeList){
        this.matterCodeList = matterCodeList;
        return this;
    }


    /**
     * 设置 区域编码
     * @param areaCode
     */
    public EntLifeMatterSubQuery areaCode(String areaCode){
        setAreaCode(areaCode);
        return this;
    }

    /**
     * 设置 区域编码
     * @param areaCodeList
     */
    public EntLifeMatterSubQuery areaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
        return this;
    }


    /**
     * 设置 区域名称
     * @param areaName
     */
    public EntLifeMatterSubQuery areaName(String areaName){
        setAreaName(areaName);
        return this;
    }

    /**
     * 设置 区域名称
     * @param areaNameList
     */
    public EntLifeMatterSubQuery areaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
        return this;
    }

    /**
     * 设置  区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevel
     */
    public EntLifeMatterSubQuery areaLevel(Integer areaLevel){
        setAreaLevel(areaLevel);
        return this;
    }

    /**
     * 设置 开始 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelStart
     */
    public EntLifeMatterSubQuery areaLevelStart(Integer areaLevelStart){
        this.areaLevelStart = areaLevelStart;
        return this;
    }

    /**
     * 设置 结束 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelEnd
     */
    public EntLifeMatterSubQuery areaLevelEnd(Integer areaLevelEnd){
        this.areaLevelEnd = areaLevelEnd;
        return this;
    }

    /**
     * 设置 增加 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelIncrement
     */
    public EntLifeMatterSubQuery areaLevelIncrement(Integer areaLevelIncrement){
        this.areaLevelIncrement = areaLevelIncrement;
        return this;
    }

    /**
     * 设置 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelList
     */
    public EntLifeMatterSubQuery areaLevelList(List<Integer> areaLevelList){
        this.areaLevelList = areaLevelList;
        return this;
    }

    /**
     * 设置 区域等级(1.省，2.地市州，3.区县，4.街道，5.社区)
     * @param areaLevelNotList
     */
    public EntLifeMatterSubQuery areaLevelNotList(List<Integer> areaLevelNotList){
        this.areaLevelNotList = areaLevelNotList;
        return this;
    }

    /**
     * 设置  办理单位ID
     * @param deptId
     */
    public EntLifeMatterSubQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 办理单位ID
     * @param deptIdStart
     */
    public EntLifeMatterSubQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 办理单位ID
     * @param deptIdEnd
     */
    public EntLifeMatterSubQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 办理单位ID
     * @param deptIdIncrement
     */
    public EntLifeMatterSubQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdList
     */
    public EntLifeMatterSubQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 办理单位ID
     * @param deptIdNotList
     */
    public EntLifeMatterSubQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 办理单位名称
     * @param deptName
     */
    public EntLifeMatterSubQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 办理单位名称
     * @param deptNameList
     */
    public EntLifeMatterSubQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public EntLifeMatterSubQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public EntLifeMatterSubQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public EntLifeMatterSubQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public EntLifeMatterSubQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public EntLifeMatterSubQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public EntLifeMatterSubQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public EntLifeMatterSubQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public EntLifeMatterSubQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置 创建用户名称
     * @param createUserName
     */
    public EntLifeMatterSubQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
        return this;
    }

    /**
     * 设置 创建用户名称
     * @param createUserNameList
     */
    public EntLifeMatterSubQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
        return this;
    }



    /**
     * 设置  排序字段
     * @param sort
     */
    public EntLifeMatterSubQuery sort(Integer sort){
        setSort(sort);
        return this;
    }

    /**
     * 设置 开始 排序字段
     * @param sortStart
     */
    public EntLifeMatterSubQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
        return this;
    }

    /**
     * 设置 结束 排序字段
     * @param sortEnd
     */
    public EntLifeMatterSubQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
        return this;
    }

    /**
     * 设置 增加 排序字段
     * @param sortIncrement
     */
    public EntLifeMatterSubQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
        return this;
    }

    /**
     * 设置 排序字段
     * @param sortList
     */
    public EntLifeMatterSubQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
        return this;
    }

    /**
     * 设置 排序字段
     * @param sortNotList
     */
    public EntLifeMatterSubQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<EntLifeMatterSubQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<EntLifeMatterSubQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<EntLifeMatterSubQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<EntLifeMatterSubQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}